// Copyright (c) Mito
import React from 'react';
// import css
import '../../../css/graph-sidebar/column-selector-column-card.css';
// import type icons
import DateTypeIcon from '../icons/columntypes/DateTypeIcon';
import NumberTypeIcon from '../icons/columntypes/NumberTypeIcon';
import ObjectTypeIcon from '../icons/columntypes/ObjectTypeIcon';
import { ColumnMitoType } from '../Mito';
export const getTypeIcon = (mitoType) => {
    if (mitoType === ColumnMitoType.STRING_SERIES) {
        return React.createElement(ObjectTypeIcon, null);
    }
    else if (mitoType === ColumnMitoType.NUMBER_SERIES) {
        return React.createElement(NumberTypeIcon, null);
    }
    else if (mitoType === ColumnMitoType.DATETIME_SERIES) {
        return React.createElement(DateTypeIcon, null);
    }
    else {
        // If we can't identify the column, mark it as an object
        return React.createElement(ObjectTypeIcon, null);
    }
};
/*
    TODO
*/
const ColumnSelectorColumnCard = (props) => {
    const typeIcon = getTypeIcon(props.columnMitoType);
    // Highlight the column as selected, if it is selected
    const className = 'column-selector-column-card-div ' + (props.isSelected ? 'column-selector-column-card-div-selected' : '');
    return (React.createElement("div", { className: className, onClick: () => props.setAxis(props.columnHeader) },
        React.createElement("div", { className: 'column-selector-column-type-container' }, typeIcon),
        React.createElement("div", { className: 'column-selector-column-header-container' }, props.columnHeader)));
};
export default ColumnSelectorColumnCard;
//# sourceMappingURL=ColumnSelectorColumnCard.js.map